Subject: Re: [bitcoin-dev] A summary list of all concerns related to not rising the block size

From: Venzen Khaosan <[email-masked]>
Date: Wed, 12 Aug 2015 18:21:59 +0700

Jorge, you say 3 concerns at the end of your message but I only see 1)
and 2). Assuming you've got a 3) and will add it, I'll contribute:

4) General, undefined fear that something bad is going to happen when
nodes choke up on a backlog of transactions.
- - no specific symptoms are pointed at but presumably there is
"pre-traumatic stress" at play.
- - Bitcoin-based businesses are going to lose money, customers and
potentially fail
- - people will flee Bitcoin for another cryptocoin and Bitcoin will be
left in the corner, collecting dust and memories of it will fade as
SuperCoin with its big blocks becomes all things to all people.

5) Specific belief that the exchange rate will decline on network
unreliability
- - traders and investors will bid the price down, or
- - traders/investors will stop speculating all together because even if
their speculation is successful, they're not sure they'll be able to
get their bitcoin out of exchanges, what with the broken network and all.
- - The exchange rate reflects Bitcoin's value and not just speculation
guided by a few large players like in other markets.

6) Belief that Bitcoin's "cargo" is about to be delivered by fate:
- - see https://en.wikipedia.org/wiki/Cargo_cult
- - the cargo is variably presumed to be a range of hoped-for events: an
adoption surge, a speculative rally similar to (or bigger than) 2013,
or a global financial crisis that sees Bitcoin become the safe haven
of choice.
- - for the cargo to be delivered, a "runway" must be built - the larger
the runway, the larger the cargo delivery. If the current runway is
not expanded, then the cargo plane will go to a different island and
won't come to Bitcoin Island.
- - it is short-sighted and, in a way, ungrateful of the "generals" not
to expand the runway - it will be their fault that the cargo doesn't
get delivered and all the island's people, no the whole ocean's
islands, will suffer because of silly security concerns.
- - some people have taken the blueprints of the airbase and are
building a large airstrip elsewhere on Bitcoin Island, but nobody is
helping them build that long and wide runway. Everybody wants to
expand this moderate runway - even the renegades who started Big
Blocks Great Success airstrip.
- - The sacred site of No-Middle-Zero-Attack-Point is at the start of
the current runway. To expand it the site must be destroyed, but some
former generals and many people say: It doesn't matter, we want Cargo,
not a small attack surface. Just blast it!

On 08/12/2015 04:59 PM, Jorge Timón via bitcoin-dev wrote:
> I believe all concerns I've read can be classified in the following
> groups:
> 
>> 1) Potential indirect consequence of rising fees.
> 
> - Lowest fee transactions (currently free transactions) will
> become more unreliable. - People will migrate to competing systems
> (PoW altcoins) with lower fees.
> 
>> 2) Software problem independent of a concrete block size that
>> needs to be solved anyway, often specific to Bitcoin Core (ie
>> other implementations, say libbitcoin may not necessarily share
>> these problems).
> 
> - Bitcoin Core's mempool is unbounded in size and can make the
> program crash by using too much memory. - There's no good way to
> increase the fee of a transaction that is taking too long to be
> mined without the "double spending" transaction with the higher fee
> being blocked by most nodes which follow Bitcoin Core's default
> policy for conflicting spends replacements (aka "first seen"
> replacement policy).
> 
> I have started with the 3 concerns that I read more often, but
> please suggest more concerns for these categories and suggest
> other categories if you think there's more. 
> _______________________________________________ bitcoin-dev mailing
> list [email-masked] 
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>